''From Parallax Inc. Propeller Education Kit - 4: I/O and Timing Basics Lab

''File: NonActuatedStreetlights.spin
''A high speed prototype of a N/S E/W streetlight controller.

PUB StreetLights

    dira[9..4]~~                             ' Set LED I/O pins to output
    
    repeat                                   ' Main loop

       outa[4..9] := %001100                 ' N/S green, E/W red 
       waitcnt(clkfreq * 8 + cnt)            ' 8 s
       outa[4..9] := %010100                 ' N/S yellow, E/W red
       waitcnt(clkfreq * 3  + cnt)           ' 3 s
       outa[4..9] := %100001                 ' N/S red, E/W green
       waitcnt(clkfreq * 8 + cnt)            ' 8 s
       outa[4..9] := %100010                 ' N/S red, E/W yellow
       waitcnt(clkfreq * 3 + cnt)            ' 3 s